Name:           valabind
Version:        0.10.0
Release:        1%{?dist}
Summary:        Transform vala or vapi files into swig, C++, NodeJS-ffi, or GIR
Group:          Applications/Engineering
License:        GPLv3+
URL:            https://github.com/radare/valabind
Source0:        https://github.com/radare/valabind/archive/%{name}-%{version}.tar.gz
BuildRequires:  vala-devel
BuildRequires:	git

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
Valabind is a tool to parse vala[1] or vapi files to transform them
into swig[2] interface files, C++, NodeJS-ffi or GIR.  With swig, you
can create language bindings for any API written in vala or C with a
vapi interface.  It can also generate bindings for C++.

%prep
%setup -q -n valabind-%{version}

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"

%install
make install DESTDIR="%{buildroot}"

%files
%doc LICENSE NOTES README.md TODO.md
%{_bindir}/%{name}
%{_bindir}/%{name}-cc
%{_mandir}/man1/*.1*

%changelog
* Wed Jan 20 2016 Eric Smith <spacewar@gmail.com> - 0.10.0-1
* Release 0.10.0-1
	Version 0.10.0

* Fri Jun  5 2015 Eric Smith <spacewar@gmail.com> - 0.9.2-1
* Release 0.9.2-1
	Version 0.9.2

* Tue Dec 17 2013 Eric Smith <spacewar@gmail.com> - 0.7.4-2
- Pass global_ldflags to make.

* Sat Nov 30 2013 Eric Smith <spacewar@gmail.com> - 0.7.4-1
- Initial version.
